#import <OCFoundation/OCFPublicInvocation.h>

#import "Service.h"

@implementation Service
+ (NSString *)sayHello {
  return @"Hello";
}

+ (NSString *)sayHelloTo:(NSString *)string
{
	return [NSString stringWithFormat:@"Hello %@", string];
}

+ (NSString *)sayHelloSlowlyTo:(NSString*)string
{
	OCFPublicInvocation *invocation = [self currentInvocation];
	double delayInSeconds = 2.0;
	dispatch_time_t popTime = dispatch_time(DISPATCH_TIME_NOW, (int64_t)(delayInSeconds * NSEC_PER_SEC));
	dispatch_after(popTime, dispatch_get_main_queue(),
	^(void)
	{
		[invocation returnJSONWithReturnValue:[NSString stringWithFormat:@"Hello %@", string]];
	});
	return OCFResponsesUsingRequest;
}
@end
