#import <Foundation/Foundation.h>

typedef void (^OCCInvocationResponseHandler)( BOOL success, id value );
typedef void (^OCCInvocationReturnHandler)( id value );
typedef void (^OCCInvocationErrorHandler)( id value );

@interface OCCInvocation : NSProxy

#pragma mark - Properties
@property (nonatomic, copy) OCCInvocationResponseHandler handler;
@property (nonatomic, readonly, strong) id target;
@property (nonatomic, readonly) BOOL dispatchesOnMainQueue;
@end
